from enum import Enum


class BlockWord(str, Enum):
    BLOCKED = 'Blocked'
    DISABLED = 'Disabled'
    ERRORS = 'Errors'
    NOERRORS = 'NoErrors'


class BlockType(str, Enum):
    FSR = 'FSR'
    FSC = 'FSC'


class BlockMode(str, Enum):
    WB = 'WB'
    WB_2G = 'WB + 2G'
    G2 = '2G'


class CalibrationState(str, Enum):
    CALIBRATED = 'CALIBRATED'
    CALIBRATION_FAILED = 'CALIBRATION_FAILED'
    UNCALIBRATED = 'UNCALIBRATED'


class ConnectionType(str, Enum):
    EMPTY = ''
    RADIO = 'radio'
    OPTICS = 'optics'
